using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Imaging;
using System.Text;
using System.Windows.Forms;
using ezBarcodeComponent.Winform;

namespace WindowsFormExample
{
    public partial class DemoForm : Form
    {
        public DemoForm()
        {
            InitializeComponent();
            printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(printDocument1_PrintPage);

        }

 
        private void ApplyChange()
        {
            Symbologies symbology;
            switch (cboSymbology.SelectedIndex)
            {
                case 0: symbology = Symbologies.Codabar; break;
                case 1: symbology = Symbologies.Code11; break;
                case 2: symbology = Symbologies.Code128; break;
                case 3: symbology = Symbologies.Code39; break;
                case 4: symbology = Symbologies.Code39Ext; break;
                case 5: symbology = Symbologies.Code93; break;
                case 6: symbology = Symbologies.Code93Ext; break;
                case 7: symbology = Symbologies.Ean13; break;
                case 8: symbology = Symbologies.Ean8; break;
                case 9: symbology = Symbologies.Industrial2of5; break;
                case 10: symbology = Symbologies.Interleaved2of5; break;
                case 11: symbology = Symbologies.UccEan128; break;
                case 12: symbology = Symbologies.MSI; break;
                case 13: symbology = Symbologies.Postnet; break;
                case 14: symbology = Symbologies.Planet; break;
                case 15: symbology = Symbologies.Telepen; break;
                case 16: symbology = Symbologies.UpcA; break;
                case 17: symbology = Symbologies.UpcE; break;
                case 18: symbology = Symbologies.IntelligentMail; break;
                case 19: symbology = Symbologies.Sscc18; break;
                case 20: symbology = Symbologies.Scc14; break;
                case 21: symbology = Symbologies.Itf14; break;

                default: symbology = Symbologies.Code128; break;
            }
            if (symbology == Symbologies.IntelligentMail && txtCodeData.Text == "0123456789")
            {
                txtCodeData.Text = "54162261114042148110";
            }

            this.barcode1.Symbology = symbology;
            this.barcode1.CodeData = txtCodeData.Text;
            this.barcode1.ShowHumanReadableText = this.ckShowHumanReadable.Checked;
            switch (this.cboRotation.SelectedIndex)
            {
                case 0: this.barcode1.RotationAngle = RotationAngles.Zero; break;
                case 1: this.barcode1.RotationAngle = RotationAngles.Ninety; break;
                case 2: this.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty; break;
                case 3: this.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy; break;
                default: this.barcode1.RotationAngle = RotationAngles.Zero; break;
            }
            this.barcode1.ForeColor = Color.FromName(this.cboForeColor.Text);
            this.barcode1.BackColor = Color.FromName(this.cboBackColor.Text);
            this.barcode1.TopMargin = Convert.ToDouble(this.numericUpDown1.Value);
            this.barcode1.LeftMargin = Convert.ToDouble(this.numericUpDown2.Value);
            this.barcode1.XDimension = Convert.ToDouble(this.numericUpDown3.Value);
            this.barcode1.WideToNarrowRatio = Convert.ToDouble(this.numRatio.Value);
            this.barcode1.BarHeight = Convert.ToDouble(this.numBarHeight.Value);
            this.barcode1.IsHumanReadableTextOnTop = this.ckHumanReadableOnTop.Checked;
            this.barcode1.BearerBarHorizontalWidth = Convert.ToDouble(this.numBearerH.Value);
            this.barcode1.BearerBarVerticalWidth = Convert.ToDouble(this.numBearerV.Value);
            this.barcode1.CharacterGrouping = Convert.ToInt32(this.numericUpDown4.Value);
            this.barcode1.Caption = this.textBox1.Text;
            this.barcode1.CaptionSpace = Convert.ToDouble(this.numericUpDown5.Value);
            this.barcode1.CaptionPosition = (CaptionPosition)this.comboBox1.SelectedIndex;
        }
        private void value_Changed(object sender, EventArgs e)
        {
            ApplyChange();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            this.saveFileDialog1.FileName = "test";
            this.saveFileDialog1.Filter = "Bitmap file (*.bmp)|*.bmp|Gif file (*.gif)|*.gif|Jpeg file (*.jpeg)|*.jpeg|Png file (*.png)|*.png";

            if (this.saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
              
                ImageFormat format = ImageFormat.Bmp;
                switch (this.saveFileDialog1.FilterIndex)
                {
                    case 1:
                        format = ImageFormat.Bmp;
                        break;
                    case 2:
                        format = ImageFormat.Gif;
                        break;
                    case 3:
                        format = ImageFormat.Jpeg;
                        break;
                    case 4:
                        format = ImageFormat.Png;
                        break;
                    default:
                        format = ImageFormat.Bmp;
                        break;

                }
                this.barcode1.SaveImageAs(this.saveFileDialog1.FileName, format);
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {
            try
            {
                printPreviewDialog1.Document = printDocument1;
                printDocument1.DocumentName = "ezBarcodeComponent Print Test";
                printPreviewDialog1.ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }



        void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
        {
            Graphics g = e.Graphics;

            this.barcode1.DrawOnGraphics(g, 50, 50);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PDF417 pdf417 = new PDF417();
            pdf417.ShowDialog();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MacroPDF417 mpdf417 = new MacroPDF417();
            mpdf417.ShowDialog();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            DataMatrix dm = new DataMatrix();
            dm.ShowDialog();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            QRCode qr = new QRCode();
            qr.ShowDialog();
        }




    }
}