using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ezBarcodeComponent.Winform;
using System.Drawing.Imaging;

namespace WindowsFormExample
{
    public partial class PDF417 : Form
    {
        public PDF417()
        {
            InitializeComponent();
            printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(printDocument1_PrintPage);
            this.barcode1.Symbology = ezBarcodeComponent.Winform.Symbologies.PDF417;
            this.barcode1.CodeData = this.txtCodeData.Text;

        
        }

        private void ApplyChange()
        {
            this.barcode1.PDF417Columns = 0;
            this.barcode1.PDF417Rows = 0;
            this.barcode1.UseCaret = this.checkBox1.Checked;
            this.barcode1.CodeData = txtCodeData.Text;
            switch (this.cboRotation.SelectedIndex)
            {
                case 0: this.barcode1.RotationAngle = RotationAngles.Zero; break;
                case 1: this.barcode1.RotationAngle = RotationAngles.Ninety; break;
                case 2: this.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty; break;
                case 3: this.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy; break;
                default: this.barcode1.RotationAngle = RotationAngles.Zero; break;
            }
            this.barcode1.ForeColor = Color.FromName(this.cboForeColor.Text);
            this.barcode1.BackColor = Color.FromName(this.cboBackColor.Text);
            this.barcode1.TopMargin = Convert.ToDouble(this.numericUpDown1.Value);
            this.barcode1.LeftMargin = Convert.ToDouble(this.numericUpDown2.Value);
            this.barcode1.XDimension = Convert.ToDouble(this.numericUpDown3.Value);
            this.barcode1.PDF417YtoXRatio = Convert.ToDouble(this.numericUpDown4.Value);
            switch (this.cboCompactionType.SelectedIndex)
            {
                case 0: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Auto; break;
                case 1: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary; break;
                case 2: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Numeric; break;
                case 3: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Text; break;
                default: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary; break;
            }
            this.barcode1.Pdf417Truncated = this.ckPdf417Truncated.Checked;
 
        }
        private void value_Changed(object sender, EventArgs e)
        {
            ApplyChange();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            this.saveFileDialog1.FileName = "test";
            this.saveFileDialog1.Filter = "Bitmap file (*.bmp)|*.bmp|Gif file (*.gif)|*.gif|Jpeg file (*.jpeg)|*.jpeg|Png file (*.png)|*.png";

            if (this.saveFileDialog1.ShowDialog() == DialogResult.OK)
            {

                ImageFormat format = ImageFormat.Bmp;
                switch (this.saveFileDialog1.FilterIndex)
                {
                    case 1:
                        format = ImageFormat.Bmp;
                        break;
                    case 2:
                        format = ImageFormat.Gif;
                        break;
                    case 3:
                        format = ImageFormat.Jpeg;
                        break;
                    case 4:
                        format = ImageFormat.Png;
                        break;
                    default:
                        format = ImageFormat.Bmp;
                        break;

                }
                this.barcode1.SaveImageAs(this.saveFileDialog1.FileName, format);
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {
            try
            {
                printPreviewDialog1.Document = printDocument1;
                printDocument1.DocumentName = "ezBarcodeComponent Print Test";
                printPreviewDialog1.ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }


        void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
        {
            Graphics g = e.Graphics;

            g.DrawImage(this.barcode1.Picture, 50, 50);
        }



    }
}