Imports ezBarcodeComponent.Winform
Imports System.Drawing.Imaging
Imports System.Drawing.Printing

Public Class DemoForm
    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.printDocument1.PrintPage, New PrintPageEventHandler(AddressOf Me.printDocument1_PrintPage)
    End Sub


    Private Sub ApplyChange()
        Dim symbology As Symbologies
        Select Case Me.cboSymbology.SelectedIndex
            Case 0
                symbology = Symbologies.Codabar
                Exit Select
            Case 1
                symbology = Symbologies.Code11
                Exit Select
            Case 2
                symbology = Symbologies.Code128
                Exit Select
            Case 3
                symbology = Symbologies.Code39
                Exit Select
            Case 4
                symbology = Symbologies.Code39Ext
                Exit Select
            Case 5
                symbology = Symbologies.Code93
                Exit Select
            Case 6
                symbology = Symbologies.Code93Ext
                Exit Select
            Case 7
                symbology = Symbologies.Ean13
                Exit Select
            Case 8
                symbology = Symbologies.Ean8
                Exit Select
            Case 9
                symbology = Symbologies.Industrial2of5
                Exit Select
            Case 10
                symbology = Symbologies.Interleaved2of5
                Exit Select
            Case 11
                symbology = Symbologies.UccEan128
                Exit Select
            Case 12
                symbology = Symbologies.MSI
                Exit Select
            Case 13
                symbology = Symbologies.Postnet
                Exit Select
            Case 14
                symbology = Symbologies.Planet
                Exit Select
            Case 15
                symbology = Symbologies.Telepen
                Exit Select
            Case &H10
                symbology = Symbologies.UpcA
                Exit Select
            Case &H11
                symbology = Symbologies.UpcE
                Exit Select
            Case &H12
                symbology = Symbologies.IntelligentMail
                Exit Select
            Case &H13
                symbology = Symbologies.Sscc18
                Exit Select
            Case 20
                symbology = Symbologies.Scc14
                Exit Select
            Case &H15
                symbology = Symbologies.Itf14
                Exit Select
            Case Else
                symbology = Symbologies.Code128
                Exit Select
        End Select
        If ((symbology = Symbologies.IntelligentMail) AndAlso (Me.txtCodeData.Text = "0123456789")) Then
            Me.txtCodeData.Text = "54162261114042148110"
        End If
        Me.barcode1.Symbology = symbology
        Me.barcode1.CodeData = Me.txtCodeData.Text
        Me.barcode1.ShowHumanReadableText = Me.ckShowHumanReadable.Checked
        Select Case Me.cboRotation.SelectedIndex
            Case 0
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
            Case 1
                Me.barcode1.RotationAngle = RotationAngles.Ninety
                Exit Select
            Case 2
                Me.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty
                Exit Select
            Case 3
                Me.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy
                Exit Select
            Case Else
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
        End Select
        Me.barcode1.ForeColor = Color.FromName(Me.cboForeColor.Text)
        Me.barcode1.BackColor = Color.FromName(Me.cboBackColor.Text)
        Me.barcode1.TopMargin = Convert.ToDouble(Me.numericUpDown1.Value)
        Me.barcode1.LeftMargin = Convert.ToDouble(Me.numericUpDown2.Value)
        Me.barcode1.XDimension = Convert.ToDouble(Me.numericUpDown3.Value)
        Me.barcode1.WideToNarrowRatio = Convert.ToDouble(Me.numRatio.Value)
        Me.barcode1.BarHeight = Convert.ToDouble(Me.numBarHeight.Value)
        Me.barcode1.IsHumanReadableTextOnTop = Me.ckHumanReadableOnTop.Checked
        Me.barcode1.BearerBarHorizontalWidth = Convert.ToDouble(Me.numBearerH.Value)
        Me.barcode1.BearerBarVerticalWidth = Convert.ToDouble(Me.numBearerV.Value)
        Me.barcode1.CharacterGrouping = Convert.ToInt32(Me.numericUpDown4.Value)
        Me.barcode1.Caption = Me.textBox1.Text
        Me.barcode1.CaptionSpace = Convert.ToDouble(Me.numericUpDown5.Value)
        Me.barcode1.CaptionPosition = DirectCast(Me.comboBox1.SelectedIndex, CaptionPosition)
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Me.saveFileDialog1.FileName = "test"
        Me.saveFileDialog1.Filter = "Bitmap file (*.bmp)|*.bmp|Gif file (*.gif)|*.gif|Jpeg file (*.jpeg)|*.jpeg|Png file (*.png)|*.png"
        If (Me.saveFileDialog1.ShowDialog = DialogResult.OK) Then
            Dim format As ImageFormat = ImageFormat.Bmp
            Select Case Me.saveFileDialog1.FilterIndex
                Case 1
                    format = ImageFormat.Bmp
                    Exit Select
                Case 2
                    format = ImageFormat.Gif
                    Exit Select
                Case 3
                    format = ImageFormat.Jpeg
                    Exit Select
                Case 4
                    format = ImageFormat.Png
                    Exit Select
                Case Else
                    format = ImageFormat.Bmp
                    Exit Select
            End Select
            Me.barcode1.SaveImageAs(Me.saveFileDialog1.FileName, format)
        End If

    End Sub

    Private Sub button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button7.Click
        Try
            Me.printPreviewDialog1.Document = Me.printDocument1
            Me.printDocument1.DocumentName = "ezBarcodeComponent Print Test"
            Me.printPreviewDialog1.ShowDialog()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button1.Click
        Dim pdf417 As New PDF417
        pdf417.ShowDialog()

    End Sub

    Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button2.Click
        Dim macroPDF417 As New MacroPDF417
        macroPDF417.ShowDialog()
    End Sub

    Private Sub button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button3.Click
        Dim dataMatrix As New DataMatrix
        dataMatrix.ShowDialog()
    End Sub

    Private Sub button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button4.Click
        Dim qRCode As New QRCode
        qRCode.ShowDialog()
    End Sub

    Private Sub cboSymbology_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSymbology.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown3_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown3.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub txtCodeData_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCodeData.TextChanged
        Me.ApplyChange()

    End Sub

    Private Sub numRatio_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numRatio.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub ckShowHumanReadable_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ckShowHumanReadable.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub ckHumanReadableOnTop_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ckHumanReadableOnTop.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboRotation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboRotation.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numBarHeight_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numBarHeight.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboForeColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboForeColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numBearerH_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numBearerH.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboBackColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBackColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numBearerV_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numBearerV.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown1.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown4_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown4.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown2.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub textBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles textBox1.TextChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown5_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown5.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub comboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboBox1.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub printDocument1_PrintPage(ByVal sender As Object, ByVal e As PrintPageEventArgs)
        Dim g As Graphics = e.Graphics
        Me.barcode1.DrawOnGraphics(g, 50.0!, 50.0!)
    End Sub



End Class