Imports ezBarcodeComponent.Winform

Public Class QRCode
    Public Sub New()
        Me.InitializeComponent()
        Me.barcode1.Symbology = Symbologies.QRCode
        Me.barcode1.CodeData = Me.txtCodeData.Text
    End Sub
    Private Sub ApplyChange()
        Me.barcode1.UseCaret = Me.checkBox1.Checked
        Me.barcode1.CodeData = Me.txtCodeData.Text
        Select Case Me.cboRotation.SelectedIndex
            Case 0
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
            Case 1
                Me.barcode1.RotationAngle = RotationAngles.Ninety
                Exit Select
            Case 2
                Me.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty
                Exit Select
            Case 3
                Me.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy
                Exit Select
            Case Else
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
        End Select
        Me.barcode1.ForeColor = Color.FromName(Me.cboForeColor.Text)
        Me.barcode1.BackColor = Color.FromName(Me.cboBackColor.Text)
        Me.barcode1.TopMargin = Convert.ToDouble(Me.numericUpDown1.Value)
        Me.barcode1.LeftMargin = Convert.ToDouble(Me.numericUpDown2.Value)
        Me.barcode1.QRCodeBarSize = Convert.ToDouble(Me.numericUpDown3.Value)
        Me.barcode1.QRCodeEncoding = DirectCast(Me.comboBox1.SelectedIndex, QRCodeEncoding)
        Me.barcode1.QRCodeErrorCorrectionLevel = DirectCast(Me.comboBox2.SelectedIndex, QRCodeErrorCorrectionLevel)
    End Sub

    Private Sub txtCodeData_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCodeData.TextChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown3_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown3.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboRotation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboRotation.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub comboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboBox1.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboForeColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboForeColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub comboBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comboBox2.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboBackColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBackColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub checkBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles checkBox1.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown1.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown2.ValueChanged
        Me.ApplyChange()

    End Sub
End Class